package providers

import "payment-poc/domain/database"

type PaymentProvider interface {
	CreatePaymentUrl(entry database.PaymentEntry) (updatedEntry database.PaymentEntry, url string, err error)
	CompleteTransaction(entry database.PaymentEntry, amount int64) (database.PaymentEntry, error)
	CancelTransaction(entry database.PaymentEntry) (database.PaymentEntry, error)
	UpdatePayment(entry database.PaymentEntry) (updatedEntry database.PaymentEntry, err error)
}
